// file: $isip/class/algo/AlgorithmUndefined/algu_01.cc
// version: $Id: algu_01.cc 7553 2001-12-25 17:54:46Z picone $
//

// isip include files
//
#include "AlgorithmUndefined.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean AlgorithmUndefined::debug(const unichar* msg_a) const {

  // output an empty string as this class doesn't have any data member
  //
  String output;
  output.debugStr(name(), msg_a, L"");
  Console::put(output);

  // exit gracefully
  //
  return true;
}
